/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-29
 * 描述            ：工器具-轧辊基础信息
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevRollerInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_ROLLER_INFO", namespace=DevRollerInfoMapper.class)
public class DevRollerInfo extends BaseVO implements Serializable {
	
	private String machine_name;
	
	public String getMachine_name() {
		return machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}
	//辊缝
	private Double rollers_gap;
	public Double getRollers_gap() {
		return this.rollers_gap;
	}
	public void setRollers_gap(Double rollers_gap) {
		this.rollers_gap = rollers_gap;
	}
	//配辊页面的配辊备注
	private String pair_memo;
	public String getPair_memo() {
		return pair_memo;
	}
	public void setPair_memo(String pair_memo) {
		this.pair_memo = pair_memo;
	}

	
	//是否备件出库
		@Column
		private String is_stock;
		public String getIs_stock() {
			return is_stock;
		}
		public void setIs_stock(String is_stock) {
			this.is_stock = is_stock;
		}
	
	
	/** 
	 * 轧辊编号
	 */ 
	@Id
	private String roller_no;
	public String getRoller_no() {
		return this.roller_no;
	}
	public void setRoller_no(String roller_no) {
		this.roller_no = roller_no;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 轧辊类型（W：工作辊、B：支承辊、I：中间辊）
	 */ 
	@Column
	private String roller_type;
	public String getRoller_type() {
		return this.roller_type;
	}
	public void setRoller_type(String roller_type) {
		this.roller_type = roller_type;
	}

	/** 
	 * 轧辊类别（0：平辊、1：凸辊、2 ：SmartCrown辊）
	 */ 
	@Column
	private String roller_class;
	public String getRoller_class() {
		return this.roller_class;
	}
	public void setRoller_class(String roller_class) {
		this.roller_class = roller_class;
	}

	/** 
	 * 轧辊位置（T：上辊、B：下辊）
	 */ 
	@Column
	private String roller_position;
	public String getRoller_position() {
		return this.roller_position;
	}
	public void setRoller_position(String roller_position) {
		this.roller_position = roller_position;
	}

	/** 
	 * 机架号
	 */ 
	@Column
	private String stand_id;
	public String getStand_id() {
		return this.stand_id;
	}
	public void setStand_id(String stand_id) {
		this.stand_id = stand_id;
	}

	/** 
	 * 制造编号
	 */ 
	@Column
	private String manufacturer_no;
	public String getManufacturer_no() {
		return this.manufacturer_no;
	}
	public void setManufacturer_no(String manufacturer_no) {
		this.manufacturer_no = manufacturer_no;
	}

	/** 
	 * 厂家代码（390201%）
	 */ 
	@Column
	private String manufacturer_code;
	public String getManufacturer_code() {
		return this.manufacturer_code;
	}
	public void setManufacturer_code(String manufacturer_code) {
		this.manufacturer_code = manufacturer_code;
	}

	/** 
	 * 厂家名称
	 */ 
	@Column
	private String manufacturer_name;
	public String getManufacturer_name() {
		return this.manufacturer_name;
	}
	public void setManufacturer_name(String manufacturer_name) {
		this.manufacturer_name = manufacturer_name;
	}

	/** 
	 * 进厂日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date enter_time;
	public Date getEnter_time() {
		return this.enter_time;
	}
	public void setEnter_time(Date enter_time) {
		this.enter_time = enter_time;
	}

	/** 
	 * 金额（元）
	 */ 
	@Column
	private Double amount_money;
	public Double getAmount_money() {
		return this.amount_money;
	}
	public void setAmount_money(Double amount_money) {
		this.amount_money = amount_money;
	}

	/** 
	 * 残值（元）
	 */ 
	@Column
	private Double residual_value;
	public Double getResidual_value() {
		return this.residual_value;
	}
	public void setResidual_value(Double residual_value) {
		this.residual_value = residual_value;
	}

	/** 
	 * 辊身长度（mm）
	 */ 
	@Column
	private Double roller_len;
	public Double getRoller_len() {
		return this.roller_len;
	}
	public void setRoller_len(Double roller_len) {
		this.roller_len = roller_len;
	}

	/** 
	 * 原始辊径（mm）
	 */ 
	@Column
	private Double dia_init;
	public Double getDia_init() {
		return this.dia_init;
	}
	public void setDia_init(Double dia_init) {
		this.dia_init = dia_init;
	}

	/** 
	 * 报废辊径（mm）
	 */ 
	@Column
	private Double dia_scrap;
	public Double getDia_scrap() {
		return this.dia_scrap;
	}
	public void setDia_scrap(Double dia_scrap) {
		this.dia_scrap = dia_scrap;
	}

	/** 
	 * 当前辊径（mm）
	 */ 
	@Column
	private Double dia_current;
	public Double getDia_current() {
		return this.dia_current;
	}
	public void setDia_current(Double dia_current) {
		this.dia_current = dia_current;
	}

	/** 
	 * 原始辊重（kg）
	 */ 
	@Column
	private Double wgt_init;
	public Double getWgt_init() {
		return this.wgt_init;
	}
	public void setWgt_init(Double wgt_init) {
		this.wgt_init = wgt_init;
	}

	/** 
	 * 当前辊重（kg）
	 */ 
	@Column
	private Double wgt_current;
	public Double getWgt_current() {
		return this.wgt_current;
	}
	public void setWgt_current(Double wgt_current) {
		this.wgt_current = wgt_current;
	}

	/** 
	 * 材质代码（390202%）
	 */ 
	@Column
	private String material_code;
	public String getMaterial_code() {
		return this.material_code;
	}
	public void setMaterial_code(String material_code) {
		this.material_code = material_code;
	}

	/** 
	 * 材质名称
	 */ 
	@Column
	private String material_name;
	public String getMaterial_name() {
		return this.material_name;
	}
	public void setMaterial_name(String material_name) {
		this.material_name = material_name;
	}

	/** 
	 * 密度
	 */ 
	@Column
	private Double density;
	public Double getDensity() {
		return this.density;
	}
	public void setDensity(Double density) {
		this.density = density;
	}

	/** 
	 * 粗糙度（Ra）
	 */ 
	@Column
	private Double roughness;
	public Double getRoughness() {
		return this.roughness;
	}
	public void setRoughness(Double roughness) {
		this.roughness = roughness;
	}

	/** 
	 * 硬度（HS）
	 */ 
	@Column
	private Double hardness;
	public Double getHardness() {
		return this.hardness;
	}
	public void setHardness(Double hardness) {
		this.hardness = hardness;
	}

	/** 
	 * 曲线误差
	 */ 
	@Column
	private Double roll_profile;
	public Double getRoll_profile() {
		return this.roll_profile;
	}
	public void setRoll_profile(Double roll_profile) {
		this.roll_profile = roll_profile;
	}

	/** 
	 * 圆度
	 */ 
	@Column
	private Double roundness;
	public Double getRoundness() {
		return this.roundness;
	}
	public void setRoundness(Double roundness) {
		this.roundness = roundness;
	}

	/** 
	 * 同轴度
	 */ 
	@Column
	private Double runout;
	public Double getRunout() {
		return this.runout;
	}
	public void setRunout(Double runout) {
		this.runout = runout;
	}

	/** 
	 * 凸度（mm）
	 */ 
	@Column
	private Double convexity;
	public Double getConvexity() {
		return this.convexity;
	}
	public void setConvexity(Double convexity) {
		this.convexity = convexity;
	}

	/** 
	 * 最大凸度（mm）
	 */ 
	@Column
	private Double convexity_max;
	public Double getConvexity_max() {
		return this.convexity_max;
	}
	public void setConvexity_max(Double convexity_max) {
		this.convexity_max = convexity_max;
	}

	/** 
	 * 最小凸度（mm）
	 */ 
	@Column
	private Double convexity_min;
	public Double getConvexity_min() {
		return this.convexity_min;
	}
	public void setConvexity_min(Double convexity_min) {
		this.convexity_min = convexity_min;
	}

	/** 
	 * 辊锥长度（mm）
	 */ 
	@Column
	private Double cone_len;
	public Double getCone_len() {
		return this.cone_len;
	}
	public void setCone_len(Double cone_len) {
		this.cone_len = cone_len;
	}

	/** 
	 * 辊锥高度（mm）
	 */ 
	@Column
	private Double cone_hgt;
	public Double getCone_hgt() {
		return this.cone_hgt;
	}
	public void setCone_hgt(Double cone_hgt) {
		this.cone_hgt = cone_hgt;
	}

	/** 
	 * 支承辊倒角长度
	 */ 
	@Column
	private Double brollc_length;
	public Double getBrollc_length() {
		return this.brollc_length;
	}
	public void setBrollc_length(Double brollc_length) {
		this.brollc_length = brollc_length;
	}

	/** 
	 * 支承辊倒角深度
	 */ 
	@Column
	private Double brollc_deepth;
	public Double getBrollc_deepth() {
		return this.brollc_deepth;
	}
	public void setBrollc_deepth(Double brollc_deepth) {
		this.brollc_deepth = brollc_deepth;
	}

	/** 
	 * 软点
	 */ 
	@Column
	private Double soft_point;
	public Double getSoft_point() {
		return this.soft_point;
	}
	public void setSoft_point(Double soft_point) {
		this.soft_point = soft_point;
	}

	/** 
	 * 裂点
	 */ 
	@Column
	private Double crack;
	public Double getCrack() {
		return this.crack;
	}
	public void setCrack(Double crack) {
		this.crack = crack;
	}

	/** 
	 * 使用预警次数（修磨后预警次数）
	 */ 
	@Column
	private Long early_warning_times;
	public Long getEarly_warning_times() {
		return this.early_warning_times;
	}
	public void setEarly_warning_times(Long early_warning_times) {
		this.early_warning_times = early_warning_times;
	}

	/** 
	 * 当前使用次数（轧制卷数，修磨后清零）
	 */ 
	@Column
	private Long cur_use_times;
	public Long getCur_use_times() {
		return this.cur_use_times;
	}
	public void setCur_use_times(Long cur_use_times) {
		this.cur_use_times = cur_use_times;
	}

	/** 
	 * 当前轧制里程数（km，修磨后清零）
	 */ 
	@Column
	private Double cur_rll_len;
	public Double getCur_rll_len() {
		return this.cur_rll_len;
	}
	public void setCur_rll_len(Double cur_rll_len) {
		this.cur_rll_len = cur_rll_len;
	}

	/** 
	 * 当前轧制吨数（吨，修磨后清零）
	 */ 
	@Column
	private Double cur_rll_wgt;
	public Double getCur_rll_wgt() {
		return this.cur_rll_wgt;
	}
	public void setCur_rll_wgt(Double cur_rll_wgt) {
		this.cur_rll_wgt = cur_rll_wgt;
	}

	/** 
	 * 累计使用次数（轧制卷数）
	 */ 
	@Column
	private Long ttl_use_times;
	public Long getTtl_use_times() {
		return this.ttl_use_times;
	}
	public void setTtl_use_times(Long ttl_use_times) {
		this.ttl_use_times = ttl_use_times;
	}

	/** 
	 * 累计轧制里程数（km）
	 */ 
	@Column
	private Double ttl_rll_len;
	public Double getTtl_rll_len() {
		return this.ttl_rll_len;
	}
	public void setTtl_rll_len(Double ttl_rll_len) {
		this.ttl_rll_len = ttl_rll_len;
	}

	/** 
	 * 累计轧制吨数（吨）
	 */ 
	@Column
	private Double ttl_rll_wgt;
	public Double getTtl_rll_wgt() {
		return this.ttl_rll_wgt;
	}
	public void setTtl_rll_wgt(Double ttl_rll_wgt) {
		this.ttl_rll_wgt = ttl_rll_wgt;
	}

	/** 
	 * 累计修磨次数
	 */ 
	@Column
	private Long ttl_grd_times;
	public Long getTtl_grd_times() {
		return this.ttl_grd_times;
	}
	public void setTtl_grd_times(Long ttl_grd_times) {
		this.ttl_grd_times = ttl_grd_times;
	}

	/** 
	 * 轧辊状态（0：可配辊、1：待修磨、2：修磨中、3：已配辊、4：在线、5：报废）
	 */ 
	@Column
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 配对轧辊编号
	 */ 
	@Column
	private String pair_roller_no;
	public String getPair_roller_no() {
		return this.pair_roller_no;
	}
	public void setPair_roller_no(String pair_roller_no) {
		this.pair_roller_no = pair_roller_no;
	}

	/** 
	 * 报废时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date scrap_time;
	public Date getScrap_time() {
		return this.scrap_time;
	}
	public void setScrap_time(Date scrap_time) {
		this.scrap_time = scrap_time;
	}

	/** 
	 * 报废原因
	 */ 
	@Column
	private String scrap_reason;
	public String getScrap_reason() {
		return this.scrap_reason;
	}
	public void setScrap_reason(String scrap_reason) {
		this.scrap_reason = scrap_reason;
	}

	/** 
	 * 报废鉴定人
	 */ 
	@Column
	private String scrap_opr;
	public String getScrap_opr() {
		return this.scrap_opr;
	}
	public void setScrap_opr(String scrap_opr) {
		this.scrap_opr = scrap_opr;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
